#%RAML 1.0
---
baseUri: 'http://127.0.0.1/'
version: v1
title: PSX
/population/popo:
  description: 'Collection endpoint'
  get:
    description: 'Collection endpoint'
    queryParameters:
      startIndex:
        type: integer
        required: false
      count:
        type: integer
        required: false
    responses:
      200:
        body:
          application/json:
            type: PSX_Framework_App_Api_Population_CollectionPopo_doGet_GET_200_Response
  post:
    description: 'Collection endpoint'
    body:
      application/json:
        type: 1
    responses:
      201:
        body:
          application/json:
            type: PSX_Framework_App_Api_Population_CollectionPopo_doPost_POST_201_Response
types:
  Collection: { type: object, properties: { totalResults: { type: integer }, entry: { type: array, items: { $ref: '#/types/Entity' } } } }
  Entity: { type: object, properties: { id: { type: integer }, place: { type: integer }, region: { type: string }, population: { type: integer }, users: { type: integer }, worldUsers: { type: number }, datetime: { format: date-time, type: string } } }
  Message: { type: object }
  PSX_Framework_App_Api_Population_CollectionPopo_doGet_GET_200_Response: { $ref: '#/types/Collection' }
  PSX_Framework_App_Api_Population_CollectionPopo_doGet_GET_Query: { type: object, properties: { startIndex: { type: integer }, count: { type: integer } } }
  PSX_Framework_App_Api_Population_CollectionPopo_doPost_POST_201_Response: { $ref: '#/types/Message' }
  PSX_Framework_App_Api_Population_CollectionPopo_doPost_POST_Request: { $ref: '#/types/Entity' }
